Advertisement

Dept. of Homeland Security warns Firefox users to update browser immediately

The Department of Homeland Security warned all Firefox users to update immediately. / (MGN)
The Department of Homeland Security warned all Firefox users to update immediately. / (MGN)(WVLT)
Published: Jan. 11, 2020 at 8:44 AM EST
Email this link
Share on Pinterest
Share on LinkedIn

The Department of Homeland Security sent out an

A major vulnerability was found in Firefox that can allow an attacker to completely take over a user's computer system, according to Homeland Security's National Cyber Awareness System.

The alert from DHS encourages Firefox users to update their browsers immediately.

Officials said you should be running Firefox version 72,0,1 or Firefox version ESR 68.4.1 or higher.

To update your copy of Firefox version to Firefox 72.0.1 or Firefox ESR 68.4.1 (or higher):

On a Mac: Launch Firefox and click About > Firefox and click the "Restart to update Firefox" button to update Firefox

On a PC: Launch Firefox and go under either Options > Firefox Updates or Options > Advanced > Update or Help > About Firefox and click the "Restart to update Firefox" to update Firefox.

Copyright 2020 WVLT. All rights reserved.

Latest News

Latest News